ShapeServerStarter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link.shape
Class ShapeServerStarter

    java.lang.Object
      com.bbn.openmap.layer.link.LinkServerStarter
          com.bbn.openmap.layer.link.shape.ShapeServerStarter

    public class ShapeServerStarter

extends LinkServerStarter

This class starts ShapeLinkServers on a per-client basis. A usage statement is printed out if you run this class without arguments.

Field Summary
`protected java.lang.String` | `shapeFile`

Fields inherited from class com.bbn.openmap.layer.link.LinkServerStarter
`DEFAULT_PORT, serverPort`

Constructor Summary
`ShapeServerStarter(int port, java.lang.String shapeFile)`
`ShapeServerStarter(int port, java.lang.String shapeFile, java.lang.String shapeIndex)`

Method Summary
`static void` | `main(java.lang.String[] argv)`
`java.lang.Thread` | `startNewServer(java.net.Socket sock)` This method gets called to create a new server to handle a new connection.

Methods inherited from class com.bbn.openmap.layer.link.LinkServerStarter
`getPort, run, setPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shapeFile

    protected java.lang.String shapeFile

Constructor Detail

### ShapeServerStarter

    public ShapeServerStarter(int port,
                              java.lang.String shapeFile,
                              java.lang.String shapeIndex)

### ShapeServerStarter

    public ShapeServerStarter(int port,
                              java.lang.String shapeFile)

Method Detail

### startNewServer

    public java.lang.Thread startNewServer(java.net.Socket sock)

  Description copied from class: `LinkServerStarter`
  This method gets called to create a new server to handle a new connection. Thread.start() will get called on the returned thread. This method should always get overridden.

  Overrides:
    `startNewServer` in class `LinkServerStarter`
  Parameters:
    `sock` - the socket connection
  Returns:
    a thread that will get started
  See Also:
    `Thread.start()`

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details